Download camel-extra / Hibernate component.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Download camel-extra / Hibernate component.

Andreas A.
Hi

In order to use the hibernate component do I need more than "camel-hibernate-1.0-SNAPSHOT.jar" on the classpath? The "hibernate:" endpoint is not being resolved. There is also a maven "component" target that has no published jars in the maven repo, do I need to build it?
Reply | Threaded
Open this post in threaded view
|

Re: Download camel-extra / Hibernate component.

Andreas A.
Ok I found the release version of the 1.0 jar which gives me one of these errors:


if I do <to uri="hibernate:" />

Failed to resolve endpoint: hibernate: due to: Expected scheme-specific part at index 10: hibernate:



if I do <to uri="hibernate:MyType" />

Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'org.apache.camel.component.hibernate.HibernateComponent': Initialization of bean failed; nested exception is java.lang.reflect.MalformedParameterizedTypeException
        at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:527)
        at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:456)
        at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:331)
        at org.apache.camel.spring.spi.SpringInjector.newInstance(SpringInjector.java:39)
        at org.apache.camel.impl.DefaultComponentResolver.resolveComponent(DefaultComponentResolver.java:82)
        at org.apache.camel.impl.DefaultCamelContext.getComponent(DefaultCamelContext.java:285)
        ... 40 more
Reply | Threaded
Open this post in threaded view
|

Re: Download camel-extra / Hibernate component.

Claus Ibsen-2
You most likely need to download the source and build a JAR yourself.
eg code on trunk matches Camel 2.x series.
And yes you need all the Hibernate JARs also on classpath.


On Fri, Dec 17, 2010 at 1:00 PM, Andreas A. <[hidden email]> wrote:

>
> Ok I found the release version of the 1.0 jar which gives me one of these
> errors:
>
>
> if I do <to uri="hibernate:" />
>
> Failed to resolve endpoint: hibernate: due to: Expected scheme-specific part
> at index 10: hibernate:
>
>
>
> if I do <to uri="hibernate:MyType" />
>
> Caused by: org.springframework.beans.factory.BeanCreationException: Error
> creating bean with name
> 'org.apache.camel.component.hibernate.HibernateComponent': Initialization of
> bean failed; nested exception is
> java.lang.reflect.MalformedParameterizedTypeException
>        at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:527)
>        at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:456)
>        at
> org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:331)
>        at
> org.apache.camel.spring.spi.SpringInjector.newInstance(SpringInjector.java:39)
>        at
> org.apache.camel.impl.DefaultComponentResolver.resolveComponent(DefaultComponentResolver.java:82)
>        at
> org.apache.camel.impl.DefaultCamelContext.getComponent(DefaultCamelContext.java:285)
>        ... 40 more
> --
> View this message in context: http://camel.465427.n5.nabble.com/Download-camel-extra-Hibernate-component-tp3309301p3309312.html
> Sent from the Camel - Users mailing list archive at Nabble.com.
>



--
Claus Ibsen
-----------------
FuseSource
Email: [hidden email]
Web: http://fusesource.com
Twitter: davsclaus
Blog: http://davsclaus.blogspot.com/
Author of Camel in Action: http://www.manning.com/ibsen/